org.jbpm.workflow.core.impl

## Class ExtendedNodeImpl

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl

- All Implemented Interfaces:
    Serializable, Contextable, ContextResolver, org.kie.api.definition.process.Node
  Direct Known Subclasses:
    ActionNode, CatchLinkNode, EndNode, EventNode, FaultNode, ForEachNode.ForEachJoinNode, ForEachNode.ForEachSplitNode, StartNode, StateBasedNode, ThrowLinkNode, TimerNode

      public class ExtendedNodeImpl
      extends NodeImpl

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EVENT_NODE_ENTER`
    `static String` | `EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedNodeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsActions()`
    `List<DroolsAction>` | `getActions(String type)`
    `String[]` | `getActionTypes()`
    `void` | `setActions(String type, List<DroolsAction> actions)`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_NODE_ENTER

          public static final String EVENT_NODE_ENTER

      See Also:
        Constant Field Values

    - #### EVENT_NODE_EXIT

          public static final String EVENT_NODE_EXIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtendedNodeImpl

          public ExtendedNodeImpl()

  - ### Method Detail

    - #### setActions

          public void setActions(String type,
                                 List<DroolsAction> actions)

    - #### getActions

          public List<DroolsAction> getActions(String type)

    - #### containsActions

          public boolean containsActions()

    - #### getActionTypes

          public String[] getActionTypes()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.